Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028144
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2014-11-11 18:542014-12-30 23:27
ReporterngarciaView Statuspublic 
Assigned Toreinaldoguerra 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbde3f5559d63
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028144: Product movements report is not filtering BOM Productions by lot

DescriptionProduct movements report is not filtering BOM Productions by lot
Steps To ReproduceAs group admin role:
   Create a new product. Set it as Bill Of Materials and Stocked
   Add an Attribute Set to it
   Create a Bill Of Materials production for that product
   Click on the Create/Process Production once
   Navigate to the I/O Products tab and add an Attribute set value for the produced product
   Click on the Create/Process Production again
   Repeat the process of creating a Bill Of Materials production for the same product but different attribute set value
   Go to the Product Movements report and add the product and one of the attribute set values as filter
   Check the two lines are shown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00254623.0PR14Q3 closedAtulOpenbravo Products movement report is not filtering correcly by lot 

-  Notes
(0072317)
reinaldoguerra (developer)
2014-12-06 05:32

Test plan used:
1- Login into Openbravo ERP
2- Create a new product. Check Bill Of Materials and Stocked flags.
3- Select an Attribute set, for example; Lot
4- Go to Bill of Materials tab and create a new record, select a product for example: Cola 0,5L
5- Click on Verify BOM button
6- Go to Bill Of Materials production window and create a new header
7- Go to production plan tab and create a new one selecting created product
8- Click on the Create/Process Production once
9- Navigate to the I/O Products tab and create an Attribute set value for the produced product, for example L1. Save the record
10- Click on the Create/Process Production again
11- Repeat the process of creating a Bill Of Materials production for the same product but different attribute set value, for example L2
12- Go to the Product Movements report and add the product and one of the attribute set values as filter
13- Check the lines are filtered taking into account the selected attribute set value
(0072321)
hgbot (developer)
2014-12-08 08:21

Repository: erp/devel/pi
Changeset: bde3f5559d63cd293f7b5cbeac842cd11834325a
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Thu Dec 04 21:32:06 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/bde3f5559d63cd293f7b5cbeac842cd11834325a [^]

Fixed bug 28144: Product movements report don't filters BOM Productions by lot.

SQL Method named selectProduction in Product movements report xsql file, is filtering by attribute set instance too.
Now when selecting production flag in product movement report, retrieved data will be also filtered by the selected attribute set instance.

---
M src/org/openbravo/erpCommon/ad_reports/ReportProductMovement.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductMovement_data.xsql
---
(0072322)
pramakrishnan (developer)
2014-12-08 08:22

Code Review + Testing - OK.
(0073183)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-11 18:54 ngarcia New Issue
2014-11-11 18:54 ngarcia Assigned To => AtulOpenbravo
2014-11-11 18:54 ngarcia Modules => Core
2014-11-11 18:54 ngarcia Triggers an Emergency Pack => No
2014-11-11 18:54 ngarcia Relationship added related to 0025462
2014-11-11 18:54 ngarcia Issue Monitored: networkb
2014-12-01 13:39 egoitz Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-05 00:21 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-12-05 00:21 reinaldoguerra Status new => scheduled
2014-12-06 05:32 reinaldoguerra Note Added: 0072317
2014-12-08 08:21 hgbot Checkin
2014-12-08 08:21 hgbot Note Added: 0072321
2014-12-08 08:21 hgbot Status scheduled => resolved
2014-12-08 08:21 hgbot Resolution open => fixed
2014-12-08 08:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bde3f5559d63cd293f7b5cbeac842cd11834325a [^]
2014-12-08 08:22 pramakrishnan Review Assigned To => pramakrishnan
2014-12-08 08:22 pramakrishnan Note Added: 0072322
2014-12-08 08:22 pramakrishnan Status resolved => closed
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073183


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker